/*<![CDATA[*/

Qnotes.SectionEdit = {}

DOMAssistant.Qnotes.SectionEdit = function () {
  var Init = {
    qnote: function (e) {
      DOMAssistant.cancelBubble(e);
      if(e.target) {
        if (e.type == 'mouseover' && e.target.tagName == 'H3') {
          if(e.target.parentNode.title.length <= 1) { return; }
          Mask.setpos(e);
          return;
        };
      }
    }
  }
  var Mask = {
    setpos: function (e) {
      o = $(e.target.parentNode); a = $(o).cssSelect(".text").first();
      oPos = Position.get(a);
      if(oPos == null) { return; }
      Position.set(Qnotes.SectionEdit.mask, oPos.left-9, oPos.top-16);
      this.show();
    },
    show: function () {
      Qnotes.SectionEdit.mask.setStyle({ height: oPos.height+16+'px', display: 'block' });
    }
  }
  return {
    publicMethods : [
      "SectionEdit"
    ],
    init : function () {
      DOMAssistant.DOMReady(function() {
        $ = DOMAssistant.$; $$ = DOMAssistant.$$;
        m = $$('qnotesmask10');
        if( ! m ) { Qnotes.body.addContent('<div id="qnotesmask10">&nbsp</div>'); }
        Qnotes.SectionEdit.mask = $$('qnotesmask10');
        $('#qnoteroot').SectionEdit();
        Qnotes.ViewBox.b0.display = 'none';
      });
    },
    SectionEdit : function () {
      this.removeEvent("mouseover", Init.qnote);
      this.addEvent("mouseover", Init.qnote);
      return this;
    }
  }
  
}();
DOMAssistant.attach(DOMAssistant.Qnotes.SectionEdit);
DOMAssistant.harmonize();

/*]]>*/
