<?php if (!defined('PmWiki')) exit();
/**
 * qnotes.post.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2010-2019
 * @note This file is part of Cookbook recipe "QNotes" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package qnotes
 */

// **********************************************************
// Handle edit post
// **********************************************************

  global $HTMLPNewline; $HTMLPNewline = $QNotes['HTMLPNewline'];
  //print '<pre>'; print_r($_POST); print '</pre>'; exit;
  if($_POST['qnotesSubmit'] === 'Save') {
    //extract($_POST); // @todo sanitize

    if(trim($_POST['qnotesAsync']) === '1') {
      if(function_exists('iconv') && $Charset == 'UTF-8' && trim($_POST['qnotesAsync']) == '1') {
        //@todo
      } else {
        //todo //marks ?? all utf char entity by browser conversion
        foreach($QNotes['formDataElement'] as $v) $_POST[$v] = utf8_decode($_POST[$v]);
      }
    }

    $_POST['qnotesCategory'] = qnotes_node_category_fmt($_POST['qnotesCategory'], false);
    $_POST['qnotesTitle'] = qnotes_node_title_fmt($_POST['qnotesTitle']);
    $_POST['qnotesText'] = qnotes_node_text_fmt($_POST['qnotesText']);

    //set for link node
    if($_POST['qnotesIsLink'] == 'islink') {
      qnotes_set_link_node($_POST); $QNotes['nprop']['islink'] = 1;
    } else {
      $_POST['qnotesText'] = $_POST['qnotesText']; $QNotes['nprop']['islink'] = 0;
    }

    if('delete' == trim($_POST['qnotesText'])) {
      $QAction = 'delete'; $msgdel = 'Qnote deleted...';
    }

    qnotes_node_set_bycategory($_POST, $QAction);
  }

  $msg = 'Data saved...';
  if(trim($_POST['qnotesAsync']) === '1') {
    // is an Ajax request
    $c = qnotes_node_category_fmt($_POST['qnotesCategory'], false);
    $a = qnotesGetRefreshData($c, $_POST['qnotesPage']);
$t = <<<EOF
<div id='qnpostresponse'>
<div title='$c'>
    <div class='msg'>$msg{$msgdel}</div>
    <div class='refreshdata'>$a</div>
</div>
</div>
EOF;
    if( $QNotes['isXhr'] && $QNotes['isQnoteSkin'] ) {
      SetTmplDisplay('PageEmptyFmt', 0);
      SetTmplDisplay('PageText', 0);
      qnotesAsyncRespose($t);
    } else {
      print_r($t); exit(0);
    }
  } else {
    // is not an Ajax request
    Redirect($_POST['qnotesPage']);
  }
